ePost Global (EPG) offers international shipping services. This guide provides developers with the details needed to build EPG shipping capabilities into your ShipStation API workflows.
We are migrating all merchants from the previous RR Donnelley integration (carrier name rr_donnelley) to the new EPG integration (carrier name epg_shipping). Use epg_shipping for new connections.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | A nickname for you to identify the carrier account in ShipStation API. |
token | string | required | Your EPG account token. |
You can connect an EPG account using the POST method to the /v1/connections/carriers/ endpoint.
NOTE:
EPG can only be connected with an API call. It cannot be connected through the ShipStation API dashboard.
carrier_name: epg_shipping
POST /v1/connections/carriers/epg_shipping
POST /v1/connections/carriers/epg_shipping HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "my epg account",
"token": "TokenFromEpg"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Available EPG services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
All EPG services are international and support tracking. The services listed are available for shipments from the US.
| Service | API Code |
|---|---|
| EPG First Class Parcels International | epg_first_class_parcels_international |
| EPG Priority Parcel With DC | epg_priority_parcel_dc |
| EPG Priority Parcel With DC Duties Paid | epg_priority_parcel_dc_duties_paid |
| EPG Priority Parcel No DC | epg_priority_parcel_no_dc |
| EPG Priority Parcel No DC Duties Paid | epg_priority_parcel_no_dc_duties_paid |
| EPG Economy Parcel Service | epg_economy_parcel_service |
| EPG ePacket Service | epg_epacket_service |
| EPG ePacket DDP | epg_epacket_ddp |
| EPG Priority Packet DDU | epg_priority_packet_ddu |
| EPG Priority Packet DDP | epg_priority_packet_ddp |
| EPG Expedited Parcel With DC Duties Paid | epg_expedited_parcel_dc_duties_paid |
| EPG Expedited Parcel With DC | epg_expedited_parcel_dc |
| EPG Courier Service | epg_courier_service |
| EPG Courier Service Duties Paid | epg_courier_service_duties_paid |
| EPG PMI Service | epg_pmi_service |
| EPG PMI DDP | epg_pmi_ddp |
| EPG PMEI | epg_pmei |
| EPG PMEI DDP | epg_pmei_ddp |
| EPG IPA Service | epg_ipa_service |
| EPG ISAL Service | epg_isal_service |
Not all services listed are available to every EPG account. We recommend you check with EPG so you know which services are available to your account, or use the list carrier services call.
The following carrier package types are available for EPG services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | epg_shipping_package | International |
- Label formats: PDF, ZPL, PNG
ShipStation API's integration with EPG supports receiving tracking updates. Review our Track a Package guides for details on tracking with ShipStation API.
DELETE /v1/connections/carriers/epg_shipping/:id
DELETE /v1/connections/carriers/epg_shipping/se-1234 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__See our Delete a Carrier page for more details about disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.